<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myShipmentItemLabel" jhiTranslate="mpmApp.shipmentItem.home.createOrEditLabel">Create or edit a Shipment Item</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!shipmentItem.idShipmentItem">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="shipmentItem.idShipmentItem" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.shipmentItem.idProduct" for="field_idProduct">Id Product</label>
                    <input type="text" class="form-control" name="idProduct" id="field_idProduct"
                        [(ngModel)]="shipmentItem.idProduct" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.shipmentItem.idFeature" for="field_idFeature">Id Feature</label>
                    <input currencyMask class="form-control" name="idFeature" id="field_idFeature"
                        [(ngModel)]="shipmentItem.idFeature"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.shipmentItem.idFrame" for="field_idFrame">Id Frame</label>
                    <input type="text" class="form-control" name="idFrame" id="field_idFrame"
                        [(ngModel)]="shipmentItem.idFrame" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.shipmentItem.idMachine" for="field_idMachine">Id Machine</label>
                    <input type="text" class="form-control" name="idMachine" id="field_idMachine"
                        [(ngModel)]="shipmentItem.idMachine" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.shipmentItem.itemDescription" for="field_itemDescription">Item Description</label>
                    <input type="text" class="form-control" name="itemDescription" id="field_itemDescription"
                        [(ngModel)]="shipmentItem.itemDescription" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.shipmentItem.qty" for="field_qty">Qty</label>
                    <input currencyMask class="form-control" name="qty" id="field_qty"
                        [(ngModel)]="shipmentItem.qty"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '4' }"
                         />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.shipmentItem.contentDescription" for="field_contentDescription">Content Description</label>
                    <input type="text" class="form-control" name="contentDescription" id="field_contentDescription"
                        [(ngModel)]="shipmentItem.contentDescription" />
                </div>

                <div class="form-group" *ngIf="idShipment === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.shipmentItem.shipment" for="field_shipment">Shipment</label>
                    <select class="form-control" id="field_shipment" name="shipment" [(ngModel)]="shipmentItem.shipmentId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="shipmentOption.idShipment" *ngFor="let shipmentOption of shipments; trackBy: trackShipmentById">{{shipmentOption.id}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
